%define _name jack-patch-bay

# choose one or both
%def_with gtkmm
%def_with fltk

Name: alsa-patch-bay
Version: 1.0.0
Release: alt0.5

Summary: ALSA Patch Bay
Group: Sound
License: GPL
Url: http://pkl.net/~node/alsa-patch-bay.html

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://pkl.net/~node/software/%name-%version.tar.bz2

Source1: %name-48.png
Source2: %name-32.png
Source3: %name-16.png

%define gtkmm_ver 2.0.0
%define fltk_ver 1.1
%define jack_ver 0.50.0

Requires: %name-common = %version-%release
Requires: %name-ui = %version-%release

%if_with gtkmm
BuildPreReq: libgtkmm2-devel >= %gtkmm_ver
%endif

%if_with fltk
BuildPreReq: libfltk-devel >= %fltk_ver
%endif

# Automatically added by buildreq on Tue Feb 25 2003
#BuildRequires: XFree86-devel doxygen gcc-c++ graphviz jackit-devel libalsa2-devel libe2fs-devel libfltk-devel libladcca-devel libstdc++-devel pkgconfig
BuildRequires: XFree86-devel doxygen gcc-c++ graphviz jackit-devel libalsa2-devel libe2fs-devel 
BuildRequires: libladcca-devel libstdc++-devel pkgconfig

%description
This is a GUI patchbay for the ALSA seq sequencer API. To use %name
install %name-ui-gtk or %name-ui-fltk or both packages.

%package common
Summary: Common files for %name and %_name
Group: Sound

%description common
This package contains common files for %name and %_name.

%package -n %_name
Summary: JACK Patch Bay
Group: Sound
Requires: %name = %version-%release
Requires: %name-common = %version-%release
Requires: jackd >= %jack_ver

%description -n %_name
This is a GUI patchbay for the the JACK audio API. To use %_name install
%name-ui-gtk or %name-ui-fltk or both packages.

%package ui-gtk
Summary: GTK GUI for %name
Group: Sound
Provides: %name-ui = %version-%release
Requires: libgtkmm2 >= %gtkmm_ver

%description ui-gtk
This package provides GTK GUI for %name

%package ui-fltk
Summary: FLTK GUI for %name
Group: Sound
Provides: %name-ui = %version-%release
Requires: libfltk >= %fltk_ver

%description ui-fltk
This package provides FLTK GUI for %name

%prep
%setup -q
%__subst 's,\(\$(bindir)/%_name\),\$(DESTDIR)\1,g' src/Makefile*

%build
%configure \
%if_without fltk
	--disable-fltk \
%endif
%if_without gtkmm
	--disable-gtkmm
%endif

%make_build

%install
%make_install DESTDIR=%buildroot install

# menus
%__cat <<__MENU__ > %name.menu
?package(%name): needs="x11" title="Alsa Patch Bay" \
longtitle="A GUI patchbay for the ALSA seq sequencer api" \
section="Multimedia/Sound/" icon="%name.png"
?package(%name): needs="x11" title="Jack Patch Bay" \
longtitle="A GUI patchbay for the JACK audio api" \
section="Multimedia/Sound/" icon="%name.png"
__MENU__

%__cat <<__MENU_GTK__ > %name-gtk.menu
?package(%name): command="%_bindir/%name --ui gtkmm" needs="X11" \
section="Multimedia/Sound/Alsa Patch Bay" title="ALSA Patch Bay (GTK)" \
longtitle="A GTK GUI patchbay for the ALSA seq sequencer api" \
icon="%name.png"
?package(%name): command="%_bindir/%_name --ui gtkmm" needs="X11" \
section="Multimedia/Sound/Jack Patch Bay" title="JACK Patch Bay (GTK)" \
longtitle="A GTK GUI patchbay for the JACK audio api" \
icon="%name.png"
__MENU_GTK__

%__cat <<__MENU_FLTK__ > %name-fltk.menu
?package(%name): command="%_bindir/%name --ui fltk" needs="X11" \
section="Multimedia/Sound/Alsa Patch Bay" title="ALSA Patch Bay (FLTK)" \
longtitle="A FLTK GUI patchbay for the ALSA seq sequencer api" \
icon="%name.png"
?package(%name): command="%_bindir/%_name --ui fltk" needs="X11" \
section="Multimedia/Sound/Jack Patch Bay" title="JACK Patch Bay (FLTK)" \
longtitle="A FLTK GUI patchbay for the JACK audio api" \
icon="%name.png"
__MENU_FLTK__

%__install -pD -m644 %name.menu %buildroot%_menudir/%name
%__install -pD -m644 %name-gtk.menu %buildroot%_menudir/%name-gtk
%__install -pD -m644 %name-fltk.menu %buildroot%_menudir/%name-fltk

# icons
%__install -pD -m644 %SOURCE1 %buildroot%_liconsdir/%name.png
%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.png
%__install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.png

%post common
%update_menus

%postun common
%clean_menus

%post ui-gtk
%update_menus

%postun ui-gtk
%clean_menus

%post ui-fltk
%update_menus

%postun ui-fltk
%clean_menus

%files common
%dir %_libdir/%name
%dir %_libdir/%name/ui/
%dir %_libdir/%name/driver/
%_iconsdir/%name.png
%_iconsdir/*/%name.png
%_menudir/%name
%_datadir/pixmaps/*
%doc AUTHORS README ChangeLog 

%files
%_bindir/%name
%_libdir/%name/driver/alsa.so
%_datadir/applications/%name.desktop

%files -n %_name
%_bindir/%_name
%_libdir/%name/driver/jack.so
%_datadir/applications/%_name.desktop

%if_with gtkmm
%files ui-gtk
%_libdir/%name/ui/gtkmm.so
%_menudir/%name-gtk
%endif

%if_with fltk
%files ui-fltk
%_libdir/%name/ui/fltk.so
%_menudir/%name-fltk
%endif

%changelog
* Sat Nov 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt0.5
- 1.0.0

* Thu May 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt0.7
- %%files section fixed.

* Sat Mar 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt0.6
- menus fixed and improved.
- added lost icon.

* Tue Feb 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt0.5
- new version.
- gtk gui.
- icons (thanks Mandrake).

* Sun Jan 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.1-alt1
- First build for Sisyphus.
- GTK interface can't be build with our libgtkmm-2.0.1-alt1.1.
